Subject: Re: Error: Unable to append to logs/HEAD: Permission denied

From: Michael J Gruber <[email-masked]>
Date: Mon, 17 May 2010 15:35:57 +0200

git_user101 venit, vidit, dixit 17.05.2010 14:48:
> 
> The push is succeed but I get this error every time. This is de complete
> message:
> 
> user@desktop:~/Documents/LRSystems$ git push 
> user@server's password: 
> Counting objects: 5, done.
> Delta compression using up to 8 threads.
> Compressing objects: 100% (3/3), done.
> Writing objects: 100% (3/3), 302 bytes, done.
> Total 3 (delta 2), reused 0 (delta 0)
> To ssh://user@server:port/repositories/LRSystems
>    1143c0..50b610  master -> master
> error: failed to push some refs to
> 'ssh://user@server:port/repositories/LRSystems'
> user@desktop:~/Documents/LRSystems$
> 
> As you can see the push is done but I get the error.

Is the repo on the server side in a good state? I.e., if you do

git status
git fsck
git show-ref

in the server side repo, is there something strange?
Another thing worth trying would be to

git clone --shared --mirror LRSystems LRSystems-new

and check whether pushing to that freshly set-up repo works.

Michael